%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define _libdir64 %{_libdir}64

Name: 		xft
Version: 	2.1.6
Release: 	5
Group: 		X11/Libraries
Summary: 	X Font Rendering library
License: 	MIT
URL: 		http://fontconfig.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Source:         http:///%{name}-%{version}.tar.bz2
Source1: 	libXft.so.0-aix32
Source2: 	libXft.so.0-aix64

#Patch0:		xft-2.1.6-aix.patch


%description

%prep
%setup -q

rm -rf /tmp/%{name}-%{version}-32bit
mkdir  /tmp/%{name}-%{version}-32bit
mv *   /tmp/%{name}-%{version}-32bit
mkdir 32bit
mv     /tmp/%{name}-%{version}-32bit/* 32bit
rm -rf /tmp/%{name}-%{version}-32bit
mkdir 64bit
cp -rp 32bit/* 64bit/



if test x$PATCH = x ; then
  PATCH=patch ;
fi
#$PATCH -p2 -s < %{_sourcedir}/xft-2.1.6-aix.patch



%build
export RM="/usr/bin/rm -f"
export AR="/usr/bin/ar -X32_64"
export NM="/usr/bin/nm -X32_64"

cd 64bit
export CC="/usr/vac/bin/cc"
export OBJECT_MODE=64
export CFLAGS="-q64 -I/opt/freeware/include -I/opt/freeware/include/X11 -I/opt/freeware/include/X11/extensions"
export CXXFLAGS="-q64 -I/opt/freeware/include -I/opt/freeware/include/X11 -I/opt/freeware/include/X11/extensions"
./configure --prefix=%{_prefix} --libdir=%{_libdir64}
make

cd ../32bit
export OBJECT_MODE=32
#chmod +x ./autogen.sh
#./autogen.sh
export CFLAGS="-I/opt/freeware/include -I/opt/freeware/include/X11 -I/opt/freeware/include/X11/extensions"
export CXXFLAGS="-I/opt/freeware/include -I/opt/freeware/include/X11 -I/opt/freeware/include/X11/extensions"
./configure --prefix=%{_prefix}
make

%install
export RM="/usr/bin/rm -f"
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi

export AR="/usr/bin/ar -X32_64"
export NM="/usr/bin/nm -X32_64"

# install 64-bit version
export OBJECT_MODE=64
cd 64bit
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

# extract 64-bit shared object file from 64 bit lib
cd ${RPM_BUILD_ROOT}%{_libdir64}
/usr/bin/ar -X64 xv libXft.a  libXft.so.2
cd -


# install 32-bit version
export OBJECT_MODE=32
cd 32bit
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects and extract the 32-bit shared objects
cd ${RPM_BUILD_ROOT}%{_libdir}
/usr/bin/ar -q -X64 libXft.a  ${RPM_BUILD_ROOT}%{_libdir64}/libXft.so.2
/usr/bin/ar -X32 xv libXft.a  libXft.so.2
cd -

# Add the older shared members for compatibility with older apps
# (make sure they're set for LOADONLY with 'strip -e')
rm ${RPM_BUILD_ROOT}%{_libdir}/libXft.a
cp %{SOURCE1} libXft.so.0
/usr/bin/strip -X32 -e libXft.so.0
/usr/bin/ar -X32 -q ${RPM_BUILD_ROOT}%{_libdir}/libXft.a libXft.so.0
cp %{SOURCE2} libXft.so.0
/usr/bin/strip -X64 -e libXft.so.0
/usr/bin/ar -X64 -q ${RPM_BUILD_ROOT}%{_libdir}/libXft.a libXft.so.0



# Make the links
cd %{buildroot}
for dir in bin lib
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

cd %{buildroot}
mkdir -p usr/include/X11/Xft
cd usr/include/X11/Xft
ln -sf ../../../..%{_prefix}/include/X11/Xft/* .
cd -

%post
# Prototype support gtk 64 bit
mkdir -p /opt/freeware/64/lib
cd /opt/freeware/64/lib
ln -sf /opt/freeware/lib/libXft.a .

%files
%defattr (-,root,system)
%{_bindir}/xft-config
/usr/bin/xft-config
%{_libdir}/pkgconfig/*
%{_libdir}/lib*a
/usr/lib/lib*.a
#%{_libdir64}/libXft.so*
%{_includedir}/X11/*
/usr/include/X11/*
%{_mandir}/man3/*

%changelog
*  Fri Dec 23 2005  BULL
 - Release 5
 - Prototype gtk 64 bit
*  Tue Nov 15 2005  BULL
 - Release  4

*  Wed May 25 2005  BULL
 - Release  3

*  Tue Nov 24 2004  BULL
 - Release  2

